broadcast

## Class PacketHeader

- java.lang.Object
- - broadcast.PacketHeader

-     public class PacketHeader
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `PacketHeader.PktHdrException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONTINUES_LC`
    `static java.lang.String` | `CONTINUES_NAME`
    `static java.lang.String` | `COUNT_LC`
    `static java.lang.String` | `COUNT_NAME`
    `static int` | `MAX_HDR_SIZE`
    `static int` | `SEQ_NO_SIZE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFirstInSeg()`
    `static PacketHeader` | `newContinuationHeader(int seqno)`
    `static PacketHeader` | `newSingletonHeader(int seqno)`
    `static PacketHeader` | `newStartingHeader(int seqno, int count)`
    `static PacketHeader` | `newStringHeader(java.lang.String hdrtxt)`
    `int` | `packetCount()`
    `int` | `seqNo()`
    `void` | `setSeqNo(int sn)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAX_HDR_SIZE

          public static final int MAX_HDR_SIZE

      See Also:
        Constant Field Values

    - #### SEQ_NO_SIZE

          public static final int SEQ_NO_SIZE

      See Also:
        Constant Field Values

    - #### COUNT_NAME

          public static final java.lang.String COUNT_NAME

      See Also:
        Constant Field Values

    - #### CONTINUES_NAME

          public static final java.lang.String CONTINUES_NAME

      See Also:
        Constant Field Values

    - #### COUNT_LC

          public static final java.lang.String COUNT_LC

    - #### CONTINUES_LC

          public static final java.lang.String CONTINUES_LC

  - ### Method Detail

    - #### newSingletonHeader

          public static PacketHeader newSingletonHeader(int seqno)

    - #### newStartingHeader

          public static PacketHeader newStartingHeader(int seqno,
                                                       int count)

    - #### newContinuationHeader

          public static PacketHeader newContinuationHeader(int seqno)

    - #### newStringHeader

          public static PacketHeader newStringHeader(java.lang.String hdrtxt)
                                              throws PacketHeader.PktHdrException

      Throws:
        `PacketHeader.PktHdrException`

    - #### setSeqNo

          public void setSeqNo(int sn)

    - #### seqNo

          public int seqNo()

    - #### isFirstInSeg

          public boolean isFirstInSeg()

    - #### packetCount

          public int packetCount()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`